
<div class="main">
  <div class="prompt">
    <p class="green-text">lain</p>
    <p>@navi</p>
    <p style="color: green; padding-left: 10px;"> ~</p>
    <p>> ame ins emacs-rust-mode</p>
  </div>
  <div class="output">
    <p class="green-text">All packages found</p>
    <p class="bold-font">emacs-rust-mode</p>
    <p class="bold-font">
      Do you want to install these packages and package dependencies?
      <span class="confirmation">yes</span>
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Downloading sources
    </p>
    <p class="bold-font">
      emacs-rust-mode:
      <span class="green-text">Downloaded!</span>
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      All sources are ready.
    </p>
    <p class="bold-font">
      Review emacs-rust-mode?
      <span class="confirmation">yes</span>
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Reviewing emacs-rust-mode
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Done reviewing emacs-rust-mode
    </p>
    <p class="bold-font">
      Do you still want to install those packages?
      <span class="confirmation">yes</span>
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Installing 1 package
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Building packages
    </p>
    <p class="bold-font">
      emacs-rust-mode:
      <span class="green-text">Built!</span>
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Built 1 package
    </p>
    <p class="bold-font">
      <span class="color-crimson ame-sign">❖</span>
      Installing packages
    </p>
  </div>
  <div class="pacman">
    <p>loading packages...</p>
    <p>resolving dependencies...</p>
    <p>looking for conflicting packages...</p>
    <br>
    <p class="bold-font">
      Packages (1)
      <span style="font-weight: 300">emacs-rust-mode<span style="color: gray">-1.0.5-1</span></span>
    </p>
    <p class="bold-font">
      Total Installled Size:
      <span style="font-weight: 300; margin-left: 10px;">0.09 MiB</span>
    </p>
    <br>
    <p class="bold-font">
      <span style="color: blue">::</span>
      Proceed with installation? [Y/n]
      <span class="blink">█</span>
    </p>
  </div>
</div>


<style lang="scss">
  @use "sass:color";
  @import '@fontsource-variable/fira-code';

  .main {
    font-family: Fira Code,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;
    border-radius: .5rem;
    border-width: 1px;
    height: fit-content;
    font-size: 1.1rem;
    padding: 1.25rem;
    display: flex;
    flex-direction: column;
    line-height: 0;
    gap: 1%;
    margin: auto;
    max-width: 100%;
    user-select: none;
    overflow: scroll;

    box-shadow: 0 1px 4px 1px color.change(black, $alpha: 0.13),
	      0 1px 10px 5px color.change(black, $alpha: 0.09),
	      0 3px 16px 8px color.change(black, $alpha: 0.04),
	      0 0 0 1px color.change(black, $alpha: 0.05);

    & .prompt {
      display: flex;
      flex-direction: row;
      min-width: 450px;
    }

    & .pacman {
      line-height: 1.3rem;
      & p {
	margin: 0px;
      }
    }

    & .output {
      line-height: 1.3rem;

      & p {
	margin: 0px;
	margin-left: 1.3rem;
      }
    }
  }

  .ame-sign {
    margin-left: -1.2rem;
    margin-right: -0.14rem;
    padding-right: 0rem;
  }

  .bold-font {
    font-weight: 700;
  }

  .color-crimson {
    color: crimson;
  }

  .green-text {
    color: green;
    font-weight: 300;
  }

  .confirmation {
    font-weight: 300;
    font-style: italic;
    padding-left: 5px;
  }

  @keyframes blink {
    50% {
      opacity: 0.0;
    }
  }
  .blink {
    animation: blink 1s step-start 0s infinite;
  }

  @media only screen and (max-width: 800px) {
    .main {
      max-height: 500px;
    }
  }

</style>
